<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:datetime="http://exslt.org/dates-and-times">
  <xsl:output method="xml" indent="yes"/> 

  <xsl:template match="pol:policyQuote" xmlns:pol="http://www.example.org/policyQuote">
  
  <xsl:choose>
  <xsl:when
test="//pol:task[text()='createPolicyQuote']">
  	<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ins="http://insurance.acme.org/">
      <soapenv:Header/>
      <soapenv:Body>
       <ins:createPolicyQuote>
          <policyQuote>
             <age><xsl:value-of select="pol:createPolicyQuote/pol:policyQuoteInfo/pol:age"/></age>
             <creditScore><xsl:value-of select="pol:createPolicyQuote/pol:policyQuoteInfo/pol:creditScore"/></creditScore>
             <dlNumber><xsl:value-of select="pol:createPolicyQuote/pol:policyQuoteInfo/pol:dlNumber"/></dlNumber>
             <driverName><xsl:value-of select="pol:createPolicyQuote/pol:policyQuoteInfo/pol:driverName"/></driverName>
             <numberOfAccidents><xsl:value-of select="pol:createPolicyQuote/pol:policyQuoteInfo/pol:numberOfAccidents"/></numberOfAccidents>
             <numberOfTickets><xsl:value-of select="pol:createPolicyQuote/pol:policyQuoteInfo/pol:numberOfTickets"/></numberOfTickets>
             <policyQuoteID>0</policyQuoteID>
             <policyType><xsl:value-of select="pol:createPolicyQuote/pol:policyQuoteInfo/pol:policyType"/></policyType>
             <price><xsl:value-of select="pol:createPolicyQuote/pol:policyQuoteInfo/pol:price"/></price>
             <requestDate><xsl:value-of select="pol:createPolicyQuote/pol:requestDate"/></requestDate>
             <ssn><xsl:value-of select="pol:createPolicyQuote/pol:policyQuoteInfo/pol:ssn"/></ssn>
             <vehicleYear><xsl:value-of select="pol:createPolicyQuote/pol:policyQuoteInfo/pol:vehicleYear"/></vehicleYear>
         </policyQuote>
      </ins:createPolicyQuote>
     </soapenv:Body>
    </soapenv:Envelope>
 	 
  </xsl:when>
	 
  <xsl:when
test="//pol:task[text()='getPolicyQuote']">
 	<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ins="http://insurance.acme.org/">
      <soapenv:Header/>
      <soapenv:Body>
       <ins:getPolicyQuote xmlns:ins="http://insurance.acme.org/">
          <policyQuote>
             <policyQuoteID><xsl:value-of select="pol:getPolicyQuote/pol:policyQuoteID"/></policyQuoteID>
         </policyQuote>
      </ins:getPolicyQuote>
     </soapenv:Body>
    </soapenv:Envelope>
       
	</xsl:when>
	  
	<xsl:otherwise>
      <ins:deletePolicyQuote xmlns:ins="http://insurance.acme.org/">
         <policyQuote>
             <policyQuoteID><xsl:value-of select="pol:getPolicyQuote/pol:policyQuoteID"/></policyQuoteID>
         </policyQuote>
      </ins:deletePolicyQuote>
  
    </xsl:otherwise>
  
  </xsl:choose>
	 
  </xsl:template>
 
</xsl:stylesheet>
